### Function

# GLib base64_encode_close

since: 2.12

#### Declaration

    gsize
    g_base64_encode_close (
      gboolean break_lines,
      gchar* out,
      gint* state,
      gint* save
    )

#### Description

Flush the status from a sequence of calls to g_base64_encode_step().

The output buffer must be large enough to fit all the data that will be written to it. It will need up to 4 bytes, or up to 5 bytes if line-breaking is enabled.

The `out` array will not be automatically nul-terminated.

Available since: 2.12

#### Parameters

`break_lines`

  Type: `gboolean`

  Whether to break long lines.

`out`

  Type: An array of `guint8`

  Pointer to destination buffer.

  The argument will be set by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`state`

  Type: `gint*`

  Saved state from `g_base64_encode_step()`

  The argument will be modified by the function.

`save`

  Type: `gint*`

  Saved state from `g_base64_encode_step()`

  The argument will be modified by the function.

#### Return value

Type: `gsize`

The number of bytes of output that was written.